[Overview][Constants][Types][Classes][Index] | Reference for unit 'fgl' (#rtl)

# TFPSList.Items

Items in the list

## Declaration

Source position: fgl.pp line 94

`public property TFPSList.Items[Index: Integer] : Pointer read Get write Put; default;`

## Description

Items provides indexed access to the items in the list, the returned pointers are not the actual list items, but pointers to the elements in the list. The items can be get or set.

When assigning to the Items property, the memory area pointed to by the assigned pointer is copied to the list. Exactly TFPSList.ItemSize bytes are copied.

The index Index is zero based, and has a maximum value of Count-1.

## Errors

If an invalid index is used, an EListError exception is raised.

## See also

TFPSList.ItemSize |  | Size of the items in the list
TFPSList.Count |  | Current element count